#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8f205ef, "module_layout" },
	{ 0x5416c697, "sdhci_set_bus_width" },
	{ 0x7b9bc422, "sdhci_cqe_disable" },
	{ 0xbef8fb9e, "platform_driver_unregister" },
	{ 0xb95e7cc, "__platform_driver_register" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x253044b5, "sdhci_execute_tuning" },
	{ 0x893cbf09, "regulator_is_supported_voltage" },
	{ 0xe8a36169, "sdhci_set_uhs_signaling" },
	{ 0x2d8179e8, "sdhci_start_signal_voltage_switch" },
	{ 0x68525dce, "sdhci_request" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6cae1d57, "sdhci_set_clock" },
	{ 0xe0eceb12, "pinctrl_select_state" },
	{ 0x5dcb515e, "mmc_send_tuning" },
	{ 0xe4148933, "__sdhci_set_timeout" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8fc4b435, "sdhci_cqe_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8bdaecd8, "sdhci_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d7456cc, "__dynamic_dev_dbg" },
	{ 0x8a73599, "_dev_warn" },
	{ 0xd8a58566, "_dev_err" },
	{ 0xc647187d, "sdhci_cleanup_host" },
	{ 0xd2e16c9e, "__sdhci_add_host" },
	{ 0xe73cbe2d, "cqhci_init" },
	{ 0x4792de63, "devm_kmalloc" },
	{ 0xc33c833f, "sdhci_add_host" },
	{ 0x96855e62, "dev_err_probe" },
	{ 0x2fe7493f, "sdhci_setup_host" },
	{ 0x20181962, "sdhci_enable_v4_mode" },
	{ 0x2d854844, "pinctrl_lookup_state" },
	{ 0x44632aed, "devm_pinctrl_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7627097d, "__devm_reset_control_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x33d7956b, "devm_clk_get" },
	{ 0x2ac1666a, "devm_gpiod_get_optional" },
	{ 0x2dfd6467, "device_property_present" },
	{ 0x133d5fe2, "mmc_of_parse" },
	{ 0x97581ff1, "sdhci_pltfm_init" },
	{ 0xf4dc6e0e, "of_match_device" },
	{ 0x18ba020b, "sdhci_resume_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x43599361, "sdhci_dumpregs" },
	{ 0xc5850110, "printk" },
	{ 0x4cbfbb40, "device_property_read_u32_array" },
	{ 0xa9b02149, "sdhci_pltfm_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5a9b6a7c, "sdhci_remove_host" },
	{ 0x3a3715d0, "cqhci_resume" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x37d9b3fc, "sdhci_suspend_host" },
	{ 0x8be1498c, "cqhci_deactivate" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x72b6964, "cqhci_irq" },
	{ 0x35f67a30, "sdhci_cqe_irq" },
	{ 0x3e48d36d, "dma_set_coherent_mask" },
	{ 0x29394803, "dma_set_mask" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x23ba6fd6, "mmc_gpio_get_ro" },
};

MODULE_INFO(depends, "sdhci,mmc_core,cqhci,sdhci-pltfm");

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhciC*");

MODULE_INFO(srcversion, "4269C26F319D77BBA6D48C9");
MODULE_INFO(rhelversion, "9.1");
